Page MenuHomePhabricator

Steps with fields of type BuildStepImplementation::SETTING_TYPE_BOOLEAN don't render correctly.
Closed, ResolvedPublic

Description

The controller for harbormaster build steps doesn't appear to render the SETTING_TYPE_BOOLEAN fields correctly, rendering only empty space:

{F128110}

Event Timeline

wotte created this task.Mar 13 2014, 9:22 PM
wotte raised the priority of this task from to Needs Triage.
wotte updated the task description. (Show Details)
wotte added a project: Harbormaster.
wotte added a subscriber: wotte.

I'd ideally like to swap this stuff all over to CustomField, but I'm not sure how practical that is.

epriestley edited this Maniphest Task.Mar 23 2014, 5:57 PM

D8600 does the infrastructure swap. If you have existing custom step implementations they'll need to be updated for the API changes in D8599 / D8600, but boolean fields will then be available.

epriestley edited this Maniphest Task.Mar 25 2014, 11:08 PM
epriestley closed this task as Resolved.Mar 25 2014, 11:08 PM

Closed by commit rPa246c85c6b51.